Part Helix/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
Line 14: Line 14:
</div>
</div>


<span id="Description"></span>
==Descrizione==
==Descrizione==


Line 22: Line 23:
[[Image:Part_Helix_Example.png|400px]]
[[Image:Part_Helix_Example.png|400px]]


<span id="Usage"></span>
==Utilizzo==
==Utilizzo==


Line 32: Line 34:
A Part Helix object created with the [[#Scripting|scripting example]] below is shown here.
A Part Helix object created with the [[#Scripting|scripting example]] below is shown here.


<span id="Notes"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
== Opzioni ==
== Opzioni ==

Revision as of 21:51, 2 January 2024

Elica

Posizione nel menu
Parte → Crea primitive → Elica
Ambiente
Parte, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Crea Primitive

Descrizione

La primitiva geometrica Elica crea una forma ad elica, definita da un raggio, un passo e un'altezza totale.

Utilizzo

See Part Primitives.

Example

Part Helix from the scripting example

A Part Helix object created with the scripting example below is shown here.

Opzioni

Un uso comune della primitiva elica è per creare delle filettature insieme a un profilo chiuso e all'operazione Sweep. Questo processo funziona essenzialmente allo stesso modo in PartDesign utilizzando lo strumento Sweep additivo .

Properties

See also: Property editor.

A Part Helix object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Coordinate System

  • DatiLocal Coord (Enumeration): The handedness, or direction, of the helix: Right-handed or Left-handed. The default is Right-handed, meaning the helix turns counterclockwise as it goes up.

Helix

  • DatiPitch (Length): The distance between two consecutive turns of the helix measured along its Z axis. The default is 1mm.
  • DatiHeight (Length): The height of the helix. The default is 2mm.
  • DatiRadius (Length): The start radius of the helix. The helix has a constant radius if DatiAngle is .
  • DatiSegment Length (QuantityConstraint): The number of turns per helix subdivision. The default is 1, meaning each full turn of the helix is a separate segment. Use 0 to suppress subdivision.
  • DatiAngle (Angle): The angle that defines of the outer shape of the helix. Valid range: -90° < value < 90°. The default is . If it is the helix is cylindrical, else it is conical.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Helix can be created with the addObject() method of the document:

helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
  • Where "myHelix" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()